Description
When building the server "foreman-basic.example.com"”, this entry was added to /etc/puppet/autosign.conf. Using Foreman v0.4.1

["[Iforeman-basic.example.com\n"]

(in case that gets mangled, that's open-square-bracket, double-quote, open-square-bracket, close-square-bracket,
foreman-basic.example.com, backslash, n, double-quote, close-square-bracket.

Not sure where to start looking TBH (I have foreman-proxy installed as well, | took a quick look through the code but my ruby skills
are too weak at the moment).

History

#1 - 01/24/2012 02:01 AM - Ohad Levy

how did you enter those ? the only way | could see if happening if someone enter that manually at at More > Proxies > Autosign and entered that text
there.

if you have the logs from foreman that reproduce that, that would be great.

#2 - 01/24/2012 09:56 AM - Adrian Bridgett

| certainly didn't do that and don't remember altering any code that might do so. | was altering some other parts (see
http://theforeman.org/issues/1461), maybe that's why.

more->smart->proxies->autosign says:

smart_proxy_autosign_url failed to generate from {:smart_proxy_id=>#<SmartProxy id: 2, name: "Smart Proxy", url: "
http://192.168.122.1:18443&quot;, created_at: "2012-01-19 17:38:04", updated_at: "2012-01-19 17:48:58">, :action=>"destroy",
:controller=>"SmartProxies::Autosign", :id=>"[\"[]foreman-basic.example.com\\n\"]", :auth_ation=>:destroy}, expected: {:action=>"destroy",
:controller=>"SmartProxies::Autosign"}, diff: {:smart_proxy_id=>#<SmartProxy id: 2, name: "Smart Proxy", url: "http://192.168.122.1:18443&quot;,
created_at: "2012-01-19 17:38:04", updated_at: "2012-01-19 17:48:58">, :id=>"[\"[[foreman-basic.example\\n\"]", :auth_ation=>:destroy}

| wonder if there's something up with my ruby install (I have both 1.8 and 1.9 installed - it's not fabulously clean).

#3 - 01/24/2012 12:28 PM - Adrian Bridgett

In case it helps, several rebuilds later autosign.conf now looks like this:

["I\"I\"[Iforeman-basic.example.com\\Wn\\\"]foreman-basic.example.com\\n\"[foreman-basic.example.com\n"]

#4 - 01/25/2012 02:17 AM - Ohad Levy

- Status changed from New to Need more information

do you know if you are using a smart proxy or not? could you paste the logs of when you add a new host? for both the proxy and foreman?

thanks!

#5 - 02/06/2012 09:06 AM - Adrian Bridgett
http://theforeman.org/issues/1461
http://192.168.122.1:18443&quot;
http://192.168.122.1:18443&quot;

Sorry the delay - | thought I'd at least answered your first question. Yes we were using a smart proxy.
I've done a new install on a new server and I'm not seeing this behaviour any more.

#6 - 02/16/2012 04:26 AM - leon rockmore

autosign.conf is a very simple file that simply lists the objects which will be automatically signed. Good post to share. All your posts are helpful.
litigation lawyers rahleigh nc

#7 - 02/17/2012 11:05 PM - bruce banner

My computer shows an error in autosign.conf.l have no idea what this error is. Is it possible that this could be due to a virus?
sales tax auditor

#8 - 03/26/2012 05:37 AM - rudy shweitzer

I will surely try to update more things according to this as this is great help to me. Good post to share. Thanks for sharing.
reverse phone lookup

#9 - 07/05/2012 11:05 AM - Benjamin Papillon

- Status changed from Need more information to Closed

If you don't see the issue anymore, let me close the ticket.
Please, don't hesitate to open another one if the problem appears again!
